"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class SelectionStatus(object):
    """
    The cohort level result of performing the family selection
    """

    NOT_CHECKED = "NOT_CHECKED"
    REJECTED = "REJECTED"
    SELECTED = "SELECTED"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.2.1"
